| xmonad-contrib-0.8.1: Third party extensions for xmonad | Source code | Contents | Index

XMonad.Config.Arossato

Portability | portable
Stability | stable
Maintainer | andrea.rossato@unibz.it

Contents

Usage

Description
This module specifies my xmonad defaults.
Synopsis

arossatoConfig

Usage

The simplest way to use this configuration module is to use an `~/.xmonad/xmonad.hs` like this:

     module Main (main) where

     import XMonad
     import XMonad.Config.Arossato (arossatoConfig)

     main :: IO ()
     main = xmonad =<< arossatoConfig

NOTE: that I'm using xmobar and, if you don't have xmobar in your PATH, this configuration will produce an error and xmonad will not start. If you don't want to install xmobar get rid of this line at the beginning of `arossatoConfig`.

You can use this module also as a starting point for writing your own configuration module from scratch. Save it as your `~/.xmonad/xmonad.hs` and:

1. Change the module name from

     module XMonad.Config.Arossato
         ( -- * Usage
           -- $usage
           arossatoConfig
         ) where

to

     module Main where

2. Add a line like:

     main = xmonad =<< arossatoConfig

3. Start playing with the configuration options...;)

arossatoConfig
Produced by Haddock version 2.4.2